スポンサーリンク

Make sure Simulator UI is running and the parent Appium application (e. g. Appium.app or Terminal.app)

最近、AppiumでiOSを動かすと「Make sure Simulator UI is running and the parent Appium application (e. g. Appium.app or Terminal.app) 」に怒られるようになった。Catallinaになった影響かしら?

スポンサーリンク

対策

Make sure Simulator UI is running and the parent Appium application 
(e. g. Appium.app or Terminal.app) is present
 in System Preferences > Security & Privacy > Privacy > Accessibility list. 
If the operation is still unsuccessful then it is not supported by this Simulator. 
Original error: Command 'osascript -e '

Mac OSのセキュリティ設定に引っかかっている。

設定 > セキュリティ&プライバシー > プライバシー > アクセシビリティ でひっかかっているアプリ(Appium.appやターミナル)にチェックを入れてあげればOK。

僕の場合はAEServerとかiTerm.appがよくひっかかる。

タイトルとURLをコピーしました